<template>
    <v-navigation-drawer floating permanent class="synth-toolbar deep-purple accent-4" width="240">
      <v-list dark nav dense>
        <v-list-group 
          v-for="(category, i) in tools"
          :key="`tool-${i}`"
          :prepend-icon="category.icon"
          color="white"
        >
          <template v-slot:activator>
            <v-list-item-title>{{ category.name }}</v-list-item-title>
          </template>
          <v-list-item
            v-for="(tool, iTool) in category.items"
            :key="iTool"
            link
            @click="createNode(tool)"
          >
            <v-list-item-icon>
              <v-icon>{{ tool.icon }}</v-icon>
            </v-list-item-icon>
            <v-list-item-title>{{ tool.label }}</v-list-item-title>
          </v-list-item>
        </v-list-group>
      </v-list>
    </v-navigation-drawer>
</template>

<script lang="ts">
  import { tools } from '@/lib/audio/utils/tools'
  import { mapMutations } from 'vuex'

  export default {
    name: 'Toolbar',
    data: () => ({
      tools
    }),
    methods: mapMutations("audionodes", ["createNode"]),
  }
</script>

<style scoped>
.synth-toolbar {
  position: absolute;
  top: 20px !important;
  left: 20px !important;
  z-index: 9;
  height: fit-content !important;
}
</style>